const pws = require('pws');
const p2wAdapter = require("./adapter.js");
const {initIframeCommunication} = require("./listener.js");

const scriptElement = document.currentScript || (function () {
    const scripts = document.getElementsByTagName('script');
    return scripts[scripts.length - 1];
})();

var w = window;
let apiKey = window.plug2winApiKey;
let externalId = window.plug2winExternalUserId;

let widthP = window.widthP ?? 0;
let widthA = window.widthA ?? 0;
let heightP = window.heightP ?? 0;
let heightA = window.heightA ?? 0;

var adapter = new p2wAdapter(apiKey, externalId, widthP, heightP, widthA, heightA);
adapter.init();

initIframeCommunication(
    () => adapter.showLoadedIframe(),
    (message) => w.location = message,
    () => adapter.removeIframe()
);
