export const initIframeCommunication = (onLoad, onRedirect, onExit) => {
    window.addEventListener("message", (e) => {
        const data = e.data;
        // console.log("RECEIVED message from CHILD TO PARENT", data);

        try {
            const {type, message} = data;

            if (type === 'appLoaded') {
                onLoad();
            } else if (type === "redirect" && message) {
                onRedirect(message);
            } else if (type === "exit" && message) {
                onExit();
            }
        } catch (e) {
            console.log('something went wrong on message: ', JSON.stringify(e))
        }
    });
}


